org.keycloak.models

## Class AuthenticatorConfigModel.AuthenticationConfigComparator

- java.lang.Object
- - org.keycloak.models.AuthenticatorConfigModel.AuthenticationConfigComparator

- All Implemented Interfaces:
    Comparator<AuthenticatorConfigModel>
  Enclosing class:
    AuthenticatorConfigModel

      public static class AuthenticatorConfigModel.AuthenticationConfigComparator
      extends Object
      implements Comparator<AuthenticatorConfigModel>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AuthenticatorConfigModel.AuthenticationConfigComparator` | `SINGLETON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticationConfigComparator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(AuthenticatorConfigModel left, AuthenticatorConfigModel right)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Field Detail

    - #### SINGLETON

          public static final AuthenticatorConfigModel.AuthenticationConfigComparator SINGLETON

  - ### Constructor Detail

    - #### AuthenticationConfigComparator

          public AuthenticationConfigComparator()

  - ### Method Detail

    - #### compare

          public int compare(AuthenticatorConfigModel left,
                             AuthenticatorConfigModel right)

      Specified by:
        `compare` in interface `Comparator<AuthenticatorConfigModel>`

Copyright © 2021 JBoss by Red Hat. All rights reserved.